#include "testApp.h"
#include "stdio.h"

//--------------------------------------------------------------
testApp::testApp(){
	
}

//--------------------------------------------------------------
void testApp::setup(){	 
	ofBackground(0,0,0);	
	
	frame = 0;
	
	player.loadMovie("movies/billyjean_640_480_65mb.mov");
	//verdana.loadFont("verdana.ttf",10);
	player.setLoopState(0);
	
	IO = new dataIO();
	IO->load_data("wgt_data_v1.txt");
  	
	printf("There are %d frames total\n", IO->frame);

	play = false;
	
	scaleSmooth = 1;
}

//--------------------------------------------------------------
void testApp::update(){

	
		
	player.idleMovie();
	frame = (int)(player.getPosition() * 10059);
	
}

//--------------------------------------------------------------
void testApp::draw(){

	

	ofSetColor(0xFFFFFF);

	
	//draw 640 x 480 frame
	ofSetColor(0xffffff);	
	ofNoFill();
	ofRect(0,0,640, 480);

	//draw text
	ofSetColor(0x000000);
	char tempString[255];
	sprintf(tempString,"Frames / sec - %f", ofGetFrameRate());
	//verdana.drawString(tempString, 650, 500);
	
	
	ofSetColor(0xffffff);	
	
	
	glScissor(0,ofGetHeight()-480,640,480);
	
	glEnable(GL_SCISSOR_TEST);
	if(IO->x_pts[frame]!=0 && IO->y_pts[frame]!=0){
		float pct = 1 - (IO->y_pts[frame] + IO->h_pts[frame]/2.0f) / 480.0f;
		player.setSpeed(0.5f + pct * 2.0f);
		
	}
	player.draw(0,0);
	glDisable(GL_SCISSOR_TEST);
}

//--------------------------------------------------------------
void testApp::keyPressed  (int key){ 

}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){
	
}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){
}

//--------------------------------------------------------------
void testApp::mouseReleased(){
}
